var threshold = require('acceptablevalues').acceptableValues.horizontalPanning;

exports.runManual = function(tab1, childWin) {
	
	var myWin=Ti.UI.createWindow({fullscreen:false, backgroundColor:'white'});
	
	var startTime = -1; 
	var	endTime = -1;
	var extendView = 500;
	
	var scrollView = Ti.UI.createScrollView({
		showHorizontalScrollIndicator: true,
		height: Ti.UI.FILL,
		width: Ti.UI.FILL,
		scrollType: 'horizontal'
	});
	
	var view = Ti.UI.createView({
	  backgroundColor:'#336699',
	  height: Ti.UI.FILL,
	  width: ((Ti.Platform.displayCaps.platformWidth + extendView) + 'dp')
	});
	
	var finishLabel = Ti.UI.createLabel({
		text: 'FINISH',
		font: { fontSize: 48 },
		right: '10dp'
	});
	
	finishLabel.addEventListener('click', function() {
		endTime = new Date().getTime();
		
		var delta = (endTime - startTime);
		
		Ti.API.info('Start time is: ' + startTime);
		Ti.API.info('End time is: ' + endTime);
		Ti.API.info('Delta is: ' + delta); 
		
		var resultLabel = Ti.UI.createLabel({
			text: delta,
			font: { fontSize: 48 },
		});
		
		myWin.add(resultLabel);
		myWin.open();
	});
	
	// var finishSwitch = Ti.UI.createSwitch({
  		// value:true,
		// right: '10dp'
	// });
// 	
	// finishSwitch.addEventListener('change', function() {
		// endTime = new Date().getTime();
// 		
		// var delta = (endTime - startTime);
// 		
		// Ti.API.info('Start time is: ' + startTime);
		// Ti.API.info('End time is: ' + endTime);
		// Ti.API.info('Delta is: ' + delta); 
// 		
		// var resultLabel = Ti.UI.createLabel({
			// text: delta,
			// font: { fontSize: 48 },
		// });
// 		
		// myWin.add(resultLabel);
		// myWin.open();
	// });
// 	
	// view.add(finishSwitch);
	view.add(finishLabel);
	scrollView.add(view);
	childWin.add(scrollView);
	
	startTime = new Date().getTime();
	tab1.open(childWin, {animated:true});
};

function isOverThreshold(delta) {
	return (delta > threshold) ? 'fail' : 'pass'; 
};