var threshold = require('acceptablevalues').acceptableValues.scrollingScrollableView;

exports.runManual = function(tab1, childWin) {
	var startTime = -1; 
	var	endTime = -1;
	
	var myWin=Ti.UI.createWindow({fullscreen:false, backgroundColor:'white'});
	
	var started = false;
	
	var numOfViews = 5;
	var views = [];
	
	// var finishSwitch = Ti.UI.createSwitch({
  		// value:true,
		// right: '10dp'
	// });
// 	
	// finishSwitch.addEventListener('change', function() {
		// endTime = new Date().getTime();
// 		
		// var delta = (endTime - startTime);
// 		
		// Ti.API.info('Start time is: ' + startTime);
		// Ti.API.info('End time is: ' + endTime);
		// Ti.API.info('Delta is: ' + delta); 
// 		
		// var resultLabel = Ti.UI.createLabel({
			// text: delta,
			// font: { fontSize: 48 },
		// });
// 		
		// myWin.add(resultLabel);
		// myWin.open();
	// });
	
	for(var i = 0; i < numOfViews; i++) {
		// generate a random html color from #100 to #999
		var randomColor = getRandomColor(100, 999);
		
		var newView = Ti.UI.createView({ backgroundColor: ('#'+randomColor) });
		var label = Ti.UI.createLabel({
			text: ('View ' + (numOfViews - i)),
			font: { fontSize: 48 }
		});
		
		newView.add(label);
		
		// OUT OF MEMORY BUG HERE
		// if((i+1) === numOfViews) {
			// newView.add(finishSwitch);
		// }
		
		views[i] = newView;	
	}
	
	var scrollableView = Ti.UI.createScrollableView({
	  views:views
	});
	
	var finishLabel = Ti.UI.createLabel({
		text: 'FINISH',
		font: { fontSize: 48 },
		right: '10dp'
	});
	
	finishLabel.addEventListener('click', function() {
		endTime = new Date().getTime();
		
		var delta = (endTime - startTime);
		
		Ti.API.info('Start time is: ' + startTime);
		Ti.API.info('End time is: ' + endTime);
		Ti.API.info('Delta is: ' + delta); 
		
		var resultLabel = Ti.UI.createLabel({
			text: delta,
			font: { fontSize: 48 },
		});
		
		myWin.add(resultLabel);
		myWin.open();
	});
	
	childWin.add(scrollableView);
	childWin.add(finishLabel);
	//childWin.add(finishSwitch);
	
	startTime = new Date().getTime();
	tab1.open(childWin,{animated:true});
	
	function getRandomColor(min, max) {
		return Math.floor(Math.random() * (max - min + 1)) + min;
	}
	
};

function isOverThreshold(delta) {
	return (delta > threshold) ? 'fail' : 'pass'; 
};
